Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Debian Local Security Checks >> [DSA706] DSA-706-1 axel


Vulnerability Assessment Details

[DSA706] DSA-706-1 axel

Vulnerability Assessment Summary
DSA-706-1 axel

Detailed Explanation for this Vulnerability Assessment

Ulf Härnhammar from the Debian Security Audit Project discovered a
buffer overflow in axel, a light download accelerator. When reading
remote input the program did not check if a part of the input can
overflow a buffer and maybe trigger the execution of arbitrary code.
For the stable distribution (woody) this problem has been fixed in
version 1.0a-1woody1.
For the unstable distribution (sid) this problem has been fixed in
version 1.0b-1.
We recommend that you upgrade your axel package.


Solution : http://www.debian.org/security/2005/dsa-706
Network Security Threat Level: High

Networks Security ID: 13059

Vulnerability Assessment Copyright: This script is (C) 2005 Michel Arboi

Cables, Connectors

Vintage Digital DEC Module Board H3263, KA630CNF, 263-85
$69.99
Vintage Digital DEC Module Board H3263, KA630CNF, 263-85 pictureVINTAGE DEC MICROVAX II BOARD SET + EXTRAS REMOVED WORKING
$595.0
VINTAGE DEC MICROVAX II BOARD SET + EXTRAS REMOVED WORKING pictureLot of 7 Vintage DEC Digital VAX 6000/7000 Series CI Modules
$249.0
Lot of 7 Vintage DEC Digital VAX 6000/7000 Series CI Modules pictureVintage 1980 DEC Digital Equipment Corporation PDP-11 Keypad Editor Ref Card
$27.99
Vintage 1980 DEC Digital Equipment Corporation PDP-11 Keypad Editor Ref Card picture


Discussions

No Discussions have been posted on this vulnerability.